"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.biometricsChanged = biometricsChanged;
exports.multiply = multiply;
exports.refreshTracker = refreshTracker;
exports.verifyBiometric = verifyBiometric;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-check-biometric-changed' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const CheckBiometricChanged = _reactNative.NativeModules.CheckBiometricChanged ? _reactNative.NativeModules.CheckBiometricChanged : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

function multiply(a, b) {
  return CheckBiometricChanged.multiply(a, b);
}

function biometricsChanged() {
  return new Promise((resolve, reject) => {
    CheckBiometricChanged.biometricsChanged().then(response => {
      if (response == true) resolve(true);else resolve(false);
    }).catch(error => {
      reject(`${error}`);
    });
  });
}

function verifyBiometric() {
  return new Promise((resolve, reject) => {
    CheckBiometricChanged.verifyBiometric().then(response => {
      if (response == true) resolve(true);else resolve(false);
    }).catch(error => {
      reject(`${error}`);
    });
  });
}

function refreshTracker() {
  return new Promise((resolve, reject) => {
    CheckBiometricChanged.refreshTracker().then(response => {
      if (response == true) resolve(true);else resolve(false);
    }).catch(error => {
      reject(`${error}`);
    });
  });
}
//# sourceMappingURL=index.js.map